Live Transcoding Profiles/FiltersList Transcoding Filters

List Transcoding Filters

List File Transcoding Filters

curl -X GET "https://api.5centscdn.com/v2/streams/settings/filters" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY"
{
  "result": "success",
  "filters": {
    "3": {
      "id": 3,
      "serviceid": 0,
      "type": "live",
      "name": "Horizontal Flip",
      "settings": {
        "filter": "hflip",
        "args": []
      }
    },
    "427": {
      "id": 427,
      "serviceid": 103,
      "type": "live",
      "name": "jamestest",
      "settings": {
        "filter": "overlay",
        "args": {
          "url": "https://cdn.example.com/logo.png",
          "scale": "50",
          "position": "Top Right",
          "blink": ""
        }
      }
    }
  }
}
GET
/streams/settings/filters
GET
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Responses

resultstring

Status of the API response.

filtersobject

Map of filter objects keyed by the numeric filter ID as a string.